package com.ximai.mes.remote.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.ximai.mes.config.TrimStringDeserializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 物料仓库对象 MdItemWarehouseErpDto
 *
 * @date 2024-10-18
 */
@Data
public class MdItemWarehouseErpDto
{
    private static final long serialVersionUID = 1L;

    @JsonProperty("mc001")
    @ApiModelProperty("仓库编号")
    private String warehouseCode;

    @JsonProperty("mc002")
    @ApiModelProperty("仓库名称")
    private String warehouseName;

    @JsonProperty("mc003")
    @ApiModelProperty("工厂编号")
    private String factoryCode;

}
